/*
 Liber 1

 Liber 1 is an easy set up for the Arduino Mega board fro realizing
 a cheap Data Acquisition.
 The circuit:
 Attach all the sensor with Tension signals to the pins of the board.
 The ones that are not used would better be ground connected.

 */

void setup() {
 // initialize the serial communication:
 Serial.begin(9600);
}

void loop() {
 Serial.println('P');

int nMedie=10;  //numeri da mediare ogni lettura

//Setting empty array for getting data
int canale[15]= {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};

//starting average
for (int j=0; j <= nMedie; j++){
  for (int i=0; i <= 15; i++){
    canale[i] = analogRead(i) + canale[i];
  }
}

for (int j=0; j <= nMedie; j++){
  canale[j]=canale[j]/nMedie;
  // send the value of analog input 0:
  Serial.println(canale[j]);
}  
  
 // wait a bit for the analog-to-digital converter
 // to stabilize after the last reading:

 delay(1000);
}
